> ## Documentation Index
> Fetch the complete documentation index at: https://docs.piposaude.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar todos os membros

> Lista todos os membros de todas as empresas às quais o cliente tem acesso.



## OpenAPI

````yaml openapi.yaml GET /v1/member
openapi: 3.1.0
info:
  title: Pipo Public API
  version: 0.2.0
  description: >
    API pública da Pipo Saúde para integração de movimentações de benefícios

    (inclusões, exclusões e consultas) por parceiros e sistemas de folha de
    pagamento.
  contact:
    name: Pipo Engineering
    email: felipe.rodopoulos@piposaude.com.br
servers:
  - url: https://api.pipo.health
    description: Homologação (staging)
  - url: https://api.piposaude.com.br
    description: Produção
security:
  - bearerAuth: []
tags:
  - name: Autenticação
    description: Obtenção do token de acesso.
  - name: Empresas
    description: Consulta de empresas e seus produtos.
  - name: Benefícios
    description: Consulta de produtos/benefícios disponíveis.
  - name: Movimentações
    description: Inclusões, exclusões e histórico de movimentações.
  - name: Membros
    description: Consulta de membros e seus benefícios.
  - name: Solicitações
    description: Consulta do status de requisições assíncronas.
  - name: Health Check
    description: Verificação de disponibilidade.
paths:
  /v1/member:
    get:
      tags:
        - Membros
      summary: Listar todos os membros
      description: >-
        Lista todos os membros de todas as empresas às quais o cliente tem
        acesso.
      parameters:
        - $ref: '#/components/parameters/IncludeInactives'
        - $ref: '#/components/parameters/Filters'
      responses:
        '200':
          description: Lista de membros.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Member'
              example:
                result:
                  - id: 111e2222-e89b-12d3-a456-426614174003
                    profile:
                      name: João Silva
                      mothers-name: Maria Silva
                      date-of-birth: '1985-05-15'
                      gender: male
                      marital-status: married
                      tax-id: '12345678900'
                    benefits:
                      - benefit-id: 333e4444-e89b-12d3-a456-426614174004
                        status: active
                        company-tax-id: '12345678000190'
                        product-id: 456e7890-e89b-12d3-a456-426614174001
                        product-name: Plano Saúde Premium
                        product-type: health-insurance
                        carrier-name: HealthCorp
                        type: primary
                        start-date: '2024-01-01'
components:
  parameters:
    IncludeInactives:
      name: include-inactives
      in: query
      required: false
      schema:
        type: boolean
        default: false
      description: Quando `true`, inclui membros/benefícios inativos.
    Filters:
      name: filters
      in: query
      required: false
      schema:
        type: string
      description: >
        Filtro no formato `<campo>=<valor>`, múltiplos filtros concatenados pelo
        caracter `|` (lógica OR).


        Campos válidos: `tax-id` (CPF do membro), `cost-center` (Centro de
        Custo),

        `employee-id` (Matrícula funcional).


        Exemplos:

        - Membros do Centro de Custo "Tech-123": `cost-center=Tech-123`

        - Membros do Centro de Custo "Tech-123" junto dos membros com as
        matrículas informadas:
          `cost-center=Tech-123|employee-id=123|employee-id=456`
        - Membros com CPF 12345678909 e 98765432100:
        `tax-id=12345678909|tax-id=98765432100`
  schemas:
    Member:
      type: object
      required:
        - id
        - profile
        - benefits
      properties:
        id:
          type: string
          format: uuid
        profile:
          $ref: '#/components/schemas/Profile'
        contact:
          $ref: '#/components/schemas/Contact'
        benefits:
          type: array
          items:
            $ref: '#/components/schemas/Benefit'
        work-contracts:
          type: array
          items:
            $ref: '#/components/schemas/WorkContractResponse'
    Profile:
      type: object
      required:
        - name
        - mothers-name
        - date-of-birth
        - gender
        - marital-status
      properties:
        name:
          type: string
          description: Nome do membro.
        preferred-name:
          type: string
          description: Nome social/preferido.
        mothers-name:
          type: string
          description: Nome da mãe do membro.
        date-of-birth:
          type: string
          format: date
          description: Data de nascimento.
        gender:
          $ref: '#/components/schemas/Gender'
        marital-status:
          $ref: '#/components/schemas/MaritalStatus'
        tax-id:
          $ref: '#/components/schemas/Cpf'
        national-id-type:
          $ref: '#/components/schemas/NationalIdType'
        national-id-number:
          type: string
          description: 'Número do documento de identidade (ex.: RG).'
        national-id-issuer:
          type: string
          description: 'Órgão emissor do documento (ex.: SSP).'
    Contact:
      type: object
      required:
        - email
      properties:
        email:
          type: string
          format: email
        phone:
          type: string
          description: 'Telefone com DDD (ex.: 11987654321).'
        address:
          $ref: '#/components/schemas/Address'
    Benefit:
      type: object
      required:
        - benefit-id
        - status
        - company-tax-id
        - product-id
        - product-name
        - product-type
        - carrier-name
        - type
      properties:
        benefit-id:
          type: string
          format: uuid
        status:
          type: string
          description: 'Status do benefício (ex.: active).'
        company-tax-id:
          $ref: '#/components/schemas/Cnpj'
        product-id:
          type: string
          format: uuid
        product-name:
          type: string
        product-type:
          $ref: '#/components/schemas/ProductType'
        carrier-name:
          type: string
        type:
          $ref: '#/components/schemas/MemberType'
        id-card-number:
          type: string
        start-date:
          type: string
          format: date
        dependents:
          type: array
          items:
            $ref: '#/components/schemas/DependentBenefit'
    WorkContractResponse:
      type: object
      required:
        - company-tax-id
        - admission-date
        - work-contract-type
      properties:
        company-tax-id:
          $ref: '#/components/schemas/Cnpj'
        admission-date:
          type: string
          format: date
        work-contract-type:
          $ref: '#/components/schemas/WorkContractType'
        job-title:
          type: string
        employee-id:
          type: string
        cost-center:
          type: string
        income-amount:
          type: integer
          description: Renda em centavos (R$ 1.234
          56 = 123456).: null
    Gender:
      type: string
      description: Sexo biológico do membro.
      enum:
        - male
        - female
    MaritalStatus:
      type: string
      description: >-
        Estado civil. single=Solteiro, married=Casado, divorced=Divorciado,
        widowed=Viúvo, others=Outros.
      enum:
        - single
        - married
        - divorced
        - widowed
        - others
    Cpf:
      type: string
      description: CPF (Cadastro de Pessoas Físicas). Aceita apenas dígitos ou formatado.
      examples:
        - '12345678900'
        - 123.456.789-00
    NationalIdType:
      type: string
      description: Tipo de documento de identidade nacional.
      enum:
        - RG
        - RNM
        - CNH
        - passport
    Address:
      type: object
      properties:
        postal-code:
          type: string
          description: CEP.
        street:
          type: string
        number:
          type: string
        neighborhood:
          type: string
        city:
          type: string
        state:
          type: string
          description: 'UF (2 letras, ex.: SP).'
    Cnpj:
      type: string
      description: >-
        CNPJ (Cadastro Nacional da Pessoa Jurídica). Aceita apenas dígitos ou
        formatado.
      examples:
        - '12345678000190'
        - 12.345.678/0001-90
    ProductType:
      type: string
      description: Tipo de produto/benefício.
      enum:
        - health-insurance
        - dental-insurance
        - life-insurance
        - mental-health
        - gym
        - pet-insurance
        - private-pension
        - air-medical-transport
        - health-navigation
    MemberType:
      type: string
      description: Tipo de membro. primary=Titular, dependent=Dependente.
      enum:
        - primary
        - dependent
    DependentBenefit:
      type: object
      required:
        - member-id
        - status
        - profile
        - relationship-type
      properties:
        member-id:
          type: string
          format: uuid
        status:
          type: string
          description: 'Status do benefício (ex.: active).'
        profile:
          $ref: '#/components/schemas/Profile'
        relationship-type:
          $ref: '#/components/schemas/RelationshipType'
        relationship-start-date:
          type: string
          format: date
    WorkContractType:
      type: string
      description: Tipo de contrato de trabalho.
      enum:
        - brazil-labor-law
        - services-contract
        - partner
        - intern
        - on-leave
        - other
    RelationshipType:
      type: string
      description: Tipo de relação do dependente com o titular.
      enum:
        - adopted-child
        - child
        - companion
        - grandchild
        - grandparent
        - great-grandchild
        - niece-or-nephew
        - parent-in-law
        - parent
        - sibling
        - spouse
        - stepchild
        - uncle-or-aunt
        - unknown
        - ward
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Token Bearer obtido em `POST /v1/authenticate`.

````